/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.model;

import java.io.Serializable;

/**
 *
 * @author Imam Bhoim
 */
public class HeaderResiprokal implements Serializable {

    private int id;
    private String nama;
    private int opsinilai;
    private String namaopsinilai;
    private int aktif;
    private int id_jenistransfer;
    private String nama_jenistransfer;
    private int id_jenislaporan;
    private String nama_jenislaporan;
    private String deskripsi_jenislaporan;
    private int idbas;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNama() {
        return nama;
    }

    public void setNama(String nama) {
        this.nama = nama;
    }

    public int getOpsinilai() {
        return opsinilai;
    }

    public void setOpsinilai(int opsinilai) {
        this.opsinilai = opsinilai;
    }

    public int getAktif() {
        return aktif;
    }

    public void setAktif(int aktif) {
        this.aktif = aktif;
    }

    public int getId_jenistransfer() {
        return id_jenistransfer;
    }

    public void setId_jenistransfer(int id_jenistransfer) {
        this.id_jenistransfer = id_jenistransfer;
    }

    public String getNama_jenistransfer() {
        return nama_jenistransfer;
    }

    public void setNama_jenistransfer(String nama_jenistransfer) {
        this.nama_jenistransfer = nama_jenistransfer;
    }

    public int getId_jenislaporan() {
        return id_jenislaporan;
    }

    public void setId_jenislaporan(int id_jenislaporan) {
        this.id_jenislaporan = id_jenislaporan;
    }

    public String getNama_jenislaporan() {
        return nama_jenislaporan;
    }

    public void setNama_jenislaporan(String nama_jenislaporan) {
        this.nama_jenislaporan = nama_jenislaporan;
    }

    public String getNamaopsinilai() {
        return namaopsinilai;
    }

    public void setNamaopsinilai(String namaopsinilai) {
        this.namaopsinilai = namaopsinilai;
    }

    public String getDeskripsi_jenislaporan() {
        return deskripsi_jenislaporan;
    }

    public void setDeskripsi_jenislaporan(String deskripsi_jenislaporan) {
        this.deskripsi_jenislaporan = deskripsi_jenislaporan;
    }

    public boolean statusAktif(){
        if (this.getAktif() == 0) {
            return false;
        } else {
            return true;
        }

    }
    
    public String namaOpsi(){
       if (this.opsinilai == 1) {
            return "Nilai Original";
        } else if (this.getOpsinilai() == 2) {
            return "Nilai Provinsi";
        } else if (this.getOpsinilai() == 3) {
            return "Nilai Terkecil";
        } else {
            //obj.setNamahubungan("-");
        }
        return null;
    }

    public int getIdbas() {
        return idbas;
    }

    public void setIdbas(int idbas) {
        this.idbas = idbas;
    }
    
    

}
